#pragma once
#include <vector>

#include "MobsIA.h"


class GestionMobs
{
public :
	std::vector<MobsIA> mobs;

public:
	void AjoutMobC2C(int pvMax, int speed, int degat, int cooldown, int rangeDegat, int rangeAgro);
	void AjoutMobDistance(int pvMax, int speed, int degat, int cooldown, int rangeAgro);

	void SupprimerMob(int id);
	void SupprimerTout();
};

